/**
  ******************************************************************************
  * @file    CRC_usage/inc/header.h
  * @author  MCD Application Team
  * @version V1.0.1
  * @date    21-October-2013
  * @brief   Header to include appropriate header file
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT 2013 STMicroelectronics</center></h2>
  *
  * Licensed under MCD-ST Liberty SW License Agreement V2, (the "License");
  * You may not use this file except in compliance with the License.
  * You may obtain a copy of the License at:
  *
  *        http://www.st.com/software_license_agreement_liberty_v2
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __HEADER_H
#define __HEADER_H

/* Includes ------------------------------------------------------------------*/
#if defined (STM32F10X_LD) || defined (STM32F10X_LD_VL) || \
 defined (STM32F10X_MD) || defined (STM32F10X_MD_VL) || \
 defined (STM32F10X_HD) || defined (STM32F10X_HD_VL) || \
 defined (STM32F10X_XL) || defined (STM32F10X_CL)
#include "stm32f10x.h"
#elif defined (STM32L1XX_MD) || defined (STM32L1XX_MDP) || \
 defined (STM32L1XX_HD)
#include "stm32l1xx.h"
#elif defined (STM32F2XX)
#include "stm32f2xx.h"
#elif defined (STM32F4XX)
#include "stm32f4xx.h"
#elif defined (STM32F0XX)
#include "stm32f0xx.h"
#elif defined (STM32F37X)
#include "stm32f37x.h"
#elif defined (STM32F30X)
#include "stm32f30x.h"
#endif
#include <stdio.h>

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
#endif /* __HEADER_H */

/*********************** (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
